ServerEvents.recipes(event => {
    event.custom({
        "type": "minecraft:crafting_shapeless",
        "category": "misc",
        "ingredients": [
          {
            "item": "vintagedelight:salt_bucket"
          }
        ],
        "result": {
          "item": "ddc:grain_of_salt",
        }
      })
})